%define name	TiMidity++
%define version	2.10.4
%define release	3mdk
%define prefix	%{_prefix}

Summary:	MIDI to WAVE converter and player
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.goice.co.jp/member/mo/timidity/
Source0:	http://www.goice.co.jp/member/mo/timidity/dist/%{name}-%{version}.tar.bz2
Source1:	http://raiden.goice.co.jp/member/mo/timidity/dist/cfg/timidity.cfg
Patch0:		TiMidity++-2.7.0-paths.patch.bz2
License:	GPL
Group:		Sound
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(*)-compatible patch files to generate digital audio data 
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

%prep
%setup -q -n TiMidity++-%{version}
%patch0 -p1

%build
%configure --disable-slang --enable-gtk
		
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
## XXX Need timidity.conf to make it work.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timidity
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/timidity

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/timidity
%{_mandir}/man1/timidity*
%dir %{_datadir}/timidity
%{_datadir}/timidity/timidity.cfg
%doc doc/C/README*
%doc COPYING

%changelog
* Tue Nov 27 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.4-3mdk
- fix rpmlint hints
- add a timidity.cfg

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.4-2mdk
- rebuild

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.4-1mdk
- Roll out 2.10.4 for everyone.

* Sat Apr 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.3-2mdk
- Touch /usr/share/timidity/timidity.cfg to make it work (Andrew Lee).
- Make use of %%configure and %%makeinstall.

* Sun Mar 11 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.3-1mdk
- version 2.10.3 (bug fixes)
- changed Summary and %%description to something comprehensible
- added a -q option to %%setup
- spec clean up

* Sun Dec 17 2000 Yves Duret <yduret@mandrakesoft.com> 2.10.2-2mdk
- macroization
- fix the rpmlint warnings

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.2-1mdk
- new and shiny vesrion.
- reenable gtk (why was it ever disabled?!)
- cleanup of stale patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.1-1mdk
- shiny new version.
- remove the strip and bzip2 code.
- get a new source instead of using patches.

* Wed Aug 09 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.10.0-1mdk
- Version 2.10.0
- Fixed man location for FHS

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9.5-2mdk
- automatically added BuildRequires

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.9.5-1mdk
- Version 2.9.5

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version 2.9.4

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Mar 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 2.9.0
- change license: it's majorly wrong
- change the buildroot

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.8.2-1mdk
- 2.8.2

*  Fri Dec 3 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.8.1

* Tue Oct 26 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.7.0: Note that 2.7.0 change the place where data and config files
  are, so old patches do not work anymore; i removed the patches, 
  and timidity.cgf is now in /usr/share/timidity with the other
  files; you need timidity-instruments-1.0-4mdk with this package.

* Fri Aug  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.3.0
- fix download URL

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1.1

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Change paths to match the timidity-instruments package

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- handle RPM_OPT_FLAGS.
